import { RouterHistory } from '@stencil/router';
export declare class SparkleForgotPassword {
  history: RouterHistory;
  validationErrors: any[];
  formControls: {
    email: {
      isValid: boolean;
      value: string;
      validate: (value: any) => boolean;
    };
  };
  submitted: boolean;
  changeFormValue(controlName: any, value: any): void;
  handleSubmit(e: any): Promise<void>;
  render(): any[];
}
